The Wine development release 8.5 is now available.

What's new in this release:
  - Bundled vkd3d upgraded to version 1.7.
  - Better error reporting in the IDL compiler.
  - Support for shared Wow64 Classes registry key.
  - More cleanups in IME support.
  - Support for configuring a WinRT dark theme.
  - Various bug fixes.

The source is available at:

  https://dl.winehq.org/wine/source/8.x/wine-8.5.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 8.5 (total 21):

 - #44547  Deus Ex: invisible War v1.2 crashes when using the hotkey to quickload a saved game
 - #46562  Notepad++ 7.6.3 crashes when searching twice and first time found results
 - #47326  Fair Strike fails to map joystick due to IDirectInputDevice8 SetActionMap being a semi-stub.
 - #53704  Bible Black ~La Noche de Walpurgis~ won't start
 - #53794  Sins of the Solar Empire Rebellion (Gog 1.975.1) crashes on unimplemented function concrt140.dll.?_CheckTaskCollection@_UnrealizedChore@details@Concurrency@@IAEXXZ
 - #53981  Chromium broken sandbox due to GetSecurityInfo giving access denied
 - #54560  mscoree:mscoree - test_loadpaths_execute() sometimes gets directory creation errors
 - #54618  VARA FM crashes on unimplemented function pdh.dll.PdhVbGetDoubleCounterValue
 - #54640  Treecomp listviews and possibly other widgets are not drawn
 - #54675  Chocolatey OpenSSH installer fails
 - #54679  Conspiracy's Clean Slate 64K demo crashes due to HLSL shader compilation failure
 - #54687  LibreVR Revive fails to run (CertGetNameStringW with dwType=CERT_NAME_ATTR_TYPE and pvTypePara missing additional fallbacks)
 - #54691  reg.exe:copy, reg.exe:delete, reg.exe:export, reg.exe:import & reg.exe:query (+32-bit reg.exe:add) - The 64-bit tests fail due to ERROR_ACCESS_DENIED errors in Wine
 - #54701  Ultimate Race Pro crashes after intro movies
 - #54702  ldp.exe crashes when attempting to add, delete, modify, or compare an entry without a name
 - #54707  adsldp:ldap - test_DirectorySearch() fails on Windows and Linux
 - #54710  imm32:imm32 - test_ImmEscape() fails in the Korean locale on Windows
 - #54711  imm32:imm32 - test_ImmGetProperty() fails in the Korean locale on Windows
 - #54724  LDAP bind over SSL to a server and port that do not support SSL hangs forever
 - #54727  LDAP Explorer (LEX) throws an exception when attempting to connect over SSL
 - #54729  wine build fails with bison 3.0.5

----------------------------------------------------------------

Changes since 8.4:

Alex Henrie (14):
      include: Annotate LDAP allocation functions with __WINE_(DEALLOC|MALLOC).
      wldap32: Handle null DN or null message in ldap_add* and add tests.
      wldap32: Handle null DN or null message in ldap_modify* and add tests.
      include: Annotate ldap_(*_attribute|get_dn)* with __WINE_(DEALLOC|MALLOC).
      wldap32: Annotate allocation functions with __WINE_(DEALLOC|MALLOC).
      wldap32: Handle null DN or null attr in ldap_compare* and add tests.
      include: Allow multiple definitions on GCC with DECLSPEC_SELECTANY.
      wldap32/tests: Use the same context in test_ldap_(add|modify_compare).
      wldap32: Handle null DN or null message in ldap_delete* and add tests.
      wldap32: Implement setting LDAP_OPT_SSL and add tests.
      wldap32: Stub out setting LDAP_OPT_REFERRAL_HOP_LIMIT.
      wldap32: Implement ldap_connect.
      wldap32: Return ~0u from ldap_modrdn* for any error.
      wldap32: Implement setting LDAP_OPT_SERVER_CERTIFICATE and add tests.

Alexandre Julliard (17):
      widl: Pass the correct parent name when opening an import file.
      include: Declare some missing ntdll functions, and fix the sorting.
      kernelbase: Use RtlGetNativeSystemInformation() to implement GetNativeSystemInfo().
      wow64: Allow the CPU backend to override CPU information.
      wow64: Convert token and debug port in NtCreateUserProcess().
      ntdll: Fixup CPU information for old Wow64 mode.
      ntdll: Add a helper function to check for old-style Wow64 mode.
      ntdll: Add a helper function to check for Wow64 mode.
      ntdll: Use get_wow_teb() and wow_peb in more places.
      vkd3d: Import upstream release 1.7.
      ntdll: One more fix for CPU information in old Wow64 mode.
      ntdll: Convert WoW context to native context when running in 32-bit code.
      ntdll: Fully initialize the i386 FPU context on ARM64.
      kernelbase: Fix pattern checking for genitive month names in get_date_format().
      d3dcompiler/tests: Update todos for tests that succeed with vkd3d 1.7.
      ntdll: Add a helper function to return the alternate 32/64 loader.
      ntdll: Only fall back to start.exe when using a different loader.

Alistair Leslie-Hughes (7):
      msado15: Bind fields in _Recordset Open.
      msado15: Store all data from provider.
      include: Add Missing IUISettings interfaces.
      windows.ui: Add Stubbed interface IUISettings.
      windows.ui: Add IUISettings2 stub interface.
      windows.ui: Use DEFINE_IINSPECTABLE for IUISettings3.
      msado15: Handle DBTYPE_STR type when loading recordset data.

Bernhard Kölbl (1):
      windows.media.speech/tests: Allow recognizer state to be idle during active recognition session.

Biswapriyo Nath (5):
      include: Add IDirectManipulationInteractionEventHandler declaration in directmanipulation.idl.
      include: Add missing TS_STATUS constants in textstor.idl.
      include: Fix c++ compiler error with msxml2.idl.
      include/windows.system.idl: Update file to newer formatting.
      include: Add Windows.System.DispatcherQueue definition.

Brendan Shanks (2):
      winemac: Fix memory leak in UpdateDisplayDevices.
      ntdll: Print correct thread rename trace when using current thread ID with exception method.

Carlos Rodriguez (1):
      wined3d: Add GPU information for another Intel UHD 630 GPU.

Connor McAdams (12):
      uiautomationcore: Add stub IUIAutomationTreeWalker implementation.
      uiautomationcore: Implement IUIAutomationTreeWalker::Get{First/Last}ChildElement{BuildCache}.
      uiautomationcore: Implement IUIAutomationTreeWalker::Get{Previous/Next}SiblingElement{BuildCache}.
      uiautomationcore: Implement IUIAutomationTreeWalker::GetParentElement{BuildCache}.
      uiautomationcore/tests: Skip IAccessible2 tests on Win10v1909.
      uiautomationcore/tests: Add NULL input argument tests for IUIAutomationTreeWalker navigation method.
      uiautomationcore: Add a helper function for retrieving a property value from an individual node provider.
      uiautomationcore: Add support for UIA_ProviderDescriptionPropertyId.
      uiautomationcore: Add support for UIA_IsOffscreenPropertyId to MSAA providers.
      uiautomationcore: Add support for UIA_LegacyIAccessibleChildIdPropertyId.
      uiautomationcore: Add support for UIA_LegacyIAccessibleRolePropertyId.
      uiautomationcore: Implement ILegacyIAccessibleProvider::get_Role for MSAA providers.

Eric Pouech (2):
      kernel32/tests: Extend the tests for load/unload debug events on Wow64.
      wow64: Move filter of (un)load DLL debug events to client side.

Etaash Mathamsetty (6):
      kernel32: Add semi-stub for CreateFileTransactedA/W().
      kernel32: Add semi-stub for CreateDirectoryTransactedA/W().
      kernel32: Add semi-stub for DeleteFileTransactedA/W().
      kernel32: Add semi-stub for FindFirstFileTransactedA/W().
      kernel32: Add semi-stub for GetFileAttributesTransactedA/W().
      kernel32: Add semi-stub for RemoveDirectoryTransactedA/W().

Floris Renaud (1):
      po: Update Dutch translation.

François Gouget (16):
      mscoree/tests: Avoid temporary directory name collisions.
      imm32/tests: Document the WINE_LANGID value.
      widl: Error_loc() messages must have a trailing linefeed.
      schtasks/tests: Deleting folders requires elevated privileges on Windows 7 & 8.
      schtasks/tests: Verify that the task folders are correctly deleted.
      schedsvc/tests: Use __HRESULT_FROM_WIN32() to initialize constants.
      schedsvc/tests: Use wide character string literals in rpcapi.c.
      schedsvc/tests: Use a winetest context in the rpcapi loops.
      schedsvc/tests: Document SchRpcGetTaskInfo() calls that crash on Windows.
      schedsvc/tests: Deleting tasks & folders requires elevated privileges on Windows 7.
      taskschd/tests: Use __HRESULT_FROM_WIN32() to initialize constants.
      taskschd/tests: Store the xml definitions as wide string literals in scheduler.c.
      taskschd/tests: Use wide character string literals in scheduler.c.
      taskschd/tests: Use a winetest context in the scheduler loops.
      taskschd/tests: Elevated privileges are needed to connect using a hostname.
      taskschd/tests: Deleting tasks & folders requires elevated privileges on Windows 7.

Gabriel Ivăncescu (5):
      mshtml: Fix nsevent leak in create_document_event.
      mshtml: Fix nsscript leak in bind_event_scripts.
      mshtml: Share reference with the node for Gecko DOM Documents.
      mshtml: Fix nsuri leak if create_channelbsc failed.
      mshtml: Fix nsparser leak if script_elem_from_nsscript failed.

Georg Lehmann (1):
      winevulkan: Update to VK spec version 1.3.246.

Hans Leidekker (2):
      adsldp/tests: Fix test failures.
      ldap: Return an error when the server doesn't respond to the SSL handshake.

Huw D. M. Davies (1):
      win32u: Fix printf format warnings.

Jinoh Kang (3):
      kernel32/tests: Test for manifest file open share mode in CreateActCtxW.
      ntdll: Open application manifest files with FILE_SHARE_DELETE.
      ntdll: Don't report user (PE) stack via pthread_attr_setstack().

Louis Lenders (1):
      wine.inf: Add EditionID to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion.

Marc-Aurel Zent (1):
      iphlpapi: Return FALSE for bad handles in IcmpCloseHandle.

Max Figura (10):
      wined3d: Move the WINED3D_RS_TWEENFACTOR stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_POSITIONDEGREE stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_NORMALDEGREE stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_MINTESSELLATIONLEVEL stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_MAXTESSELLATIONLEVEL stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_ADAPTIVETESS_X stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_ADAPTIVETESS_Y stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_ADAPTIVETESS_Z stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_ADAPTIVETESS_W stub to wined3d_device_apply_stateblock.
      wined3d: Move the WINED3D_RS_ENABLEADAPTIVETESSELLATION stub to wined3d_device_apply_stateblock.

Michael Stefaniuc (11):
      msdasql: Remove redundant NULL check before heap_free().
      windows.media.speech: Remove redundant NULL check before free().
      dinput/tests: Use separate statements instead of the comma operator.
      jscript: Use separate statements instead of the comma operator.
      dmsynth: Don't crash when Open() gets a DMUS_PORTPARAMS7.
      dinput/tests: Drop superfluous TRUE : FALSE conditional expressions.
      dinput: Remove superfluous cast to self.
      uiautomationcore/tests: Drop superfluous TRUE : FALSE conditional expression.
      ntdll/tests: Use FAILED() instead of not SUCCEEDED().
      wmvcore/tests: Don't cast NULL to another pointer type.
      mfplat/tests: Remove duplicated ok() call.

Mohamad Al-Jaf (11):
      include: Add windows.graphics.effects.idl file.
      include: Add windows.graphics.capture.idl file.
      graphicscapture: Add stub DLL.
      graphicscapture: Add IGraphicsCaptureSessionStatics stub interface.
      graphicscapture/tests: Add IGraphicsCaptureSessionStatics::IsSupported() tests.
      graphicscapture: Partially implement IGraphicsCaptureSessionStatics::IsSupported().
      winecfg: Add an option to set WinRT app dark theme.
      cfgmgr32: Implement CM_MapCrToWin32Err.
      cfgmgr32/tests: Add CM_MapCrToWin32Err tests.
      include: Add DirectXAlphaMode enum.
      include: Add windows.ui.core.idl file.

Nikolay Sivov (15):
      d3d10/effect: Add support for itof instruction.
      d3d10/effect: Add support for ineg instruction.
      d3d10/effect: Add support for imax instruction.
      d3d10/effect: Add support for udiv instruction.
      d3dcompiler: Always initialize output shader blob pointer in D3DCompile2().
      d3dcompiler: Allow D3DCompile2() to succeed with null output shader blob pointer.
      d3dcompiler: Always free messages string in D3DCompile2().
      d3dcompiler: Fix bytecode buffer leaks in D3DCompile2().
      d3d10/effect: Add support for 'movc' instruction.
      d3d10/effect: Handle division by zero in 'udiv'.
      d3d10/effect: Add support for asin/acos/atan instructions.
      d3d10/effect: Add support for umin/umax instructions.
      d3d10/effect: Add support for 'imin' instruction.
      d3d10/effect: Add support for 'iadd' instruction.
      d3d10/tests: Add some tests for trigonometric functions.

Paul Gofman (15):
      crypt32: Support user properties for certificates.
      crypt32: Use CERT_STORE_ADD_ALWAYS when reading certs from registry.
      crypt32: Refactor CRYPT_ImportSystemRootCertsToReg().
      crypt32: Refactor read_trusted_roots_from_known_locations().
      crypt32: Keep root certs cached in registry unless some are deleted on host.
      taskkill: Use CRT allocation functions.
      taskkill: Remove unneeded free() before process exit.
      taskkill: Enumerate processes in main().
      taskkill: Factor out get_task_pid().
      taskkill: Use toolhelp snapshot to get process information.
      taskkill: Mark processes for termination in main().
      taskkill: Support terminating child processes.
      services: Create service processes in a job.
      services: Factor out notify_service_state() function.
      services: Change running service state once its process dies.

Piotr Caban (49):
      wineps: Move more code into create_psdrv_physdev helper.
      wineps: Create fake PSDRV_PDEVICE OpenPrintProcessor.
      wineps: Initialize PSDRV_PDEVICE print job information in PrintDocumentOnPrintProcessor.
      wineps: Write document header and footer in PrintDocumentOnPrintProcessor.
      wineps: Handle EMR_HEADER record in spool files.
      wineps: Handle EMR_EOF record in spool files.
      wineps: Handle brush selection in spool files.
      wineps: Handle pen selection in spool files.
      wineps: Handle EMR_RECTANGLE record in spool files.
      wineps: Handle EMR_MOVETOEX record in spool files.
      wineps: Handle EMR_LINETO record in spool files.
      wineps: Handle EMR_CREATEMONOBRUSH record in spool files.
      wineps: Handle EMR_CREATEDIBPATTERNBRUSHPT record in spool files.
      wineps: Handle EMR_SETWORLDTRANSFORM record in spool files.
      wineps: Handle EMR_MODIFYWORLDTRANSFORM record in spool files.
      wineps: Handle EMR_POLYBEZIER record in spool files.
      wineps: Handle EMR_POLYPOLYLINE record in spool files.
      wineps: Handle EMR_POLYPOLYGON record in spool files.
      wineps: Handle EMR_SETPIXELV record in spool files.
      wineps: Handle EMR_ELLIPSE record in spool files.
      wineps: Handle EMR_ROUNDRECT record in spool files.
      wineps: Handle EMR_ARC record in spool files.
      wineps: Handle EMR_CHORD record in spool files.
      wineps: Handle EMR_PIE record in spool files.
      ucrtbase: Add __CxxFrameHandler4 implementation.
      wineps: Introduce helper for PolyBezier drawing.
      wineps: Handle EMR_POLYGON record in spool files.
      wineps: Handle EMR_POLYLINE record in spool files.
      wineps: Handle EMR_POLYBEZIERTO record in spool files.
      wineps: Handle EMR_POLYLINETO record in spool files.
      wineps: Handle EMR_ARCTO record in spool files.
      wineps: Handle EMR_POLYBEZIER16 record in spool files.
      wineps: Handle EMR_POLYGON16 record in spool files.
      wineps: Handle EMR_POLYLINE16 record in spool files.
      wineps: Handle EMR_POLYBEZIERTO16 record in spool files.
      wineps: Handle EMR_POLYLINETO16 record in spool files.
      wineps: Handle EMR_POLYPOLYLINE16 record in spool files.
      wineps: Handle EMR_POLYPOLYGON16 record in spool files.
      wineps: Support arc direction in PSDRV_DrawArc.
      wineps: Handle EMR_ANGLEARC record in spool files.
      wineps: Handle EMR_PAINTRGN record in spool files.
      wineps: Handle EMR_SETWINDOWEXTEX record in spool files.
      wineps: Handle EMR_SETWINDOWORGEX record in spool files.
      wineps: Handle EMR_SETVIEWPORTEXTEX in spool files.
      wineps: Handle EMR_SETVIEWPORTORGEX record in spool files.
      wineps: Handle EMR_SETBRUSHORGEX in spool files.
      wineps: Handle EMR_SETARCDIRECTION record in spool files.
      wineps: Handle EMR_STRETCHBLT record in spool files.
      wineps: Handle EMR_BITBLT record in spool files.

Rémi Bernon (105):
      win32u/tests: Test NtUserCreateInputContext (et al.)
      win32u: Stub NtUserBuildHimcList syscall.
      win32u/tests: Test NtUserBuildHimcList syscall.
      win32u: Introduce new next_process_user_handle_ptr helper.
      win32u: Implement NtUserBuildHimcList syscall.
      dinput: Rewrite IDirectInputDevice8W_BuildActionMap.
      dinput: Pass device object format index to queue_event.
      dinput: Pass additional information to enum_object callback.
      dinput: Split enum_objects_count helper from enum_objects_init.
      dinput: Call enum_objects to initialize the device object format.
      widl: Simplify uuid literals lexing.
      widl: Remove unused lexer aliases.
      widl: Simplify preprocessor directive lexing.
      widl: Simplify reserved keywords lexing.
      widl: Lex calling convention variations toghether.
      imm32/tests: Remove GetLastError check on default IME ImmEscape tests.
      imm32/tests: Update ImmGetProperty expectations for Korean locale.
      dinput/tests: Flush messages after creating the test_mouse_keyboard window.
      dinput: Count the actual number of object formats in SetActionMap.
      dinput: Initialize device object format when creating devices.
      dinput: Move mouse_create_device function around.
      dinput: Always allocate and initialize the object_properties.
      dinput: Initialize SetActionMap variables in their declarations.
      dinput: Always set the DIPROP_BUFFERSIZE property in SetActionMap.
      dinput: Only set DIPROP_RANGE in SetActionMap if range isn't empty.
      dinput: Use 4 bytes for every object user state in SetActionMap.
      dinput: Initialize object formats from device objects in SetActionMap.
      dinput: Respect DIA_APPNOMAP in IDirectInputDevice8W_SetActionMap.
      dinput: Return error from SetActionMap if SetDataFormat fails.
      dinput: Keep device objects app data in the object properties.
      dinput: Allow action formats with no matching actions.
      dinput: Check IDirectInputDevice8W_SetActionMap flags.
      dinput: Return DI_SETTINGSNOTSAVED when DIDSAM_FORCESAVE is used.
      imm32: Implement ImmEnumInputContext.
      imm32: Remove unnecessary threadDefault InputContextData member.
      imm32: Remove unused IMM_IsCrossThreadAccess hwnd parameter.
      imm32: Use NtUserQueryInputContext to check cross-thread access.
      imm32: Rename InputContextData to struct imc.
      widl: Rename (error|warning)_loc_info to (error|warning)_at.
      widl: Allow source location to span over multiple lines.
      widl: Move diagnostic and location functions to parser.l.
      widl: Enable bison locations option.
      widl: Improve accuracy of error messages location.
      widl: Print the import stack and context in messages.
      imm32: Fix ImmEscape(A|W) with NULL data.
      imm32: Fix ImmEnumRegisterWord(A|W) callback conversion.
      imm32/tests: Reduce test output unnecessary verbosity.
      imm32: Stub ImmActivateLayout.
      imm32/tests: Test undocumented ImmActivateLayout.
      widl: Use spaces to indent attribute rules more consistently.
      widl: Move attribute related functions to attribute.c.
      widl: Simplify attribute creation with either int or ptr value.
      widl: Remove custom attribute creation helper.
      widl: Add source location information to attributes.
      widl: Use warning_at when reporting duplicate attributes.
      widl: Define PARSER_LTYPE instead of api.location.type.
      dinput/tests: Test BuildActionMap cases with multiple devices.
      dinput/tests: Add more IDirectInput8_EnumDevicesBySemantics tests.
      dinput: Trace formats in (Build|Set)ActionMap and EnumDevicesBySemantics.
      dinput: Load action map from registry before resetting guid.
      dinput: Check device type in BuildActionMap for specific semantics.
      dinput: Implement DIDBAM_PRESERVE BuildActionMap flag.
      dinput: Rewrite IDirectInput8_EnumDevicesBySemantics.
      win32u: Allow LANG_INVARIANT in NtUserActivateKeyboardLayout.
      imm32: Use installed IME language for the created HKL.
      imm32/tests: Check current keyboard layout during ime calls.
      imm32: Call ActivateKeyboardLayout from ImmActivateLayout.
      imm32/tests: Test ImmCreateInputContext et al.
      imm32/tests: Test ActivateKeyboardLayout with an existing window.
      imm32: Enumerate input contexts in ImmActivateLayout.
      imm32: Introduce a new imc_select_hkl helper.
      imm32: Update HIMC private data when selecting IME.
      imm32: Call ImeSelect from ImmLockIMC with current IME.
      imm32/tests: Add explicit ImmLoadIME / ImmFreeLayout calls.
      imm32/tests: Ignore expected calls marked with todo.
      imm32: Cleanup ImmProcessKey variables and traces.
      imm32: Ignore ImmProcessKey if hkl isn't the current layout.
      imm32/tests: Test ImmProcessKey with the installed IME.
      imm32/tests: Test IME UI creation with the installed IME.
      imm32/tests: Test IME UI window and IME window presence.
      imm32: Update existing input contexts on layout change.
      imm32: Keep the IME UI window on the default input context.
      imm32: Re-create the IME UI window when IME changes.
      imm32: Create the IME UI as child of the IME default window.
      imm32/tests: Test DefWindowProc with IME UI messages.
      win32u: Ignore IME messages from IME UI windows in DefWindowProc.
      win32u: Ignore some IME messages in default_window_proc.
      imm32: Pass the HIMC to the IME UI window IMMGWL_IMC.
      imm32: Send WM_IME_SELECT messages when IME is activated.
      imm32: Select current IME on input contexts when needed.
      imm32: Introduce new input_context_init helper.
      imm32: Add a default implementation for IME functions.
      imm32: Return TRUE from ImmIsIME with any HKL.
      winex11: Use the default IME implementation for stubs.
      winemac: Use the default IME implementation for stubs.
      imm32/tests: Add some ImmSetConversionStatus tests.
      imm32/tests: Add some ImmSetOpenStatus tests.
      imm32: Avoid recursing into ImeSelect calls.
      imm32/tests: Init INPUTCONTEXT status in ImeSelect.
      imm32/tests: Add some ImeSetActiveContext tests.
      imm32/tests: Add some spurious IME select calls.
      imm32/tests: Add some ImmRequestMessageW tests.
      imm32/tests: Add some ImmGetCandidateList(W|A) tests.
      imm32/tests: Add some ImmGetCandidateListCount(W|A) tests.
      imm32/tests: Add some ImmGetCandidateWindow tests.

Shaun Ren (1):
      quartz: Set filter sync source in FilterGraph2_AddFilter.

Stefan Dösinger (3):
      wined3d: Make video memory accounting a per-resource flag.
      ddraw/tests: Native 64 bit ddraw has a video memory leak.
      ddraw/tests: Show that SYSMEM | 3DDEVICE surfaces don't consume vidmem.

Sven Baars (12):
      advapi32/tests: Copy Software\Classes tests from ntdll.
      kernelbase: Call open_key() from open_subkey().
      kernelbase: Use open_key() to obtain any existing Wow6432node in create_key().
      kernelbase: Pass a name pointer to open_key().
      kernelbase: Return the last existing key from open_key() when it's called from create_key().
      kernelbase: Don't open Wow6432nodes from create_key().
      kernelbase: Factor creating a subkey out of create_key().
      kernelbase: Call create_key() from create_subkey().
      kernelbase: Add support for shared registry keys.
      kernelbase: Recursively obtain the Wow6432Node parent.
      kernelbase: Remove special Wow64 handling for HKEY_CLASSES_ROOT.
      wine.inf: Put the Clients key in the right place.

Torge Matthies (5):
      msvcr100: Only wake task collection waiters when finished >= count.
      msvcr100: Use enum for _StructuredTaskCollection return value.
      msvcr100: Use enum for _StructuredTaskCollection status bits.
      msvcr100: Implement _StructuredTaskCollection canceling.
      msvcr100: Implement _StructuredTaskCollection::_IsCanceling.

Tyson Whitehead (3):
      crypt32: Add some CertGetNameStringW fallback cases.
      crypt32/tests: Test for CertGetNameStringW fallback cases.
      crypt32/tests: Document fields in original test certificate.

Vicki Pfau (1):
      hidparse.sys: Include zero-count reports in cap count.

Vijay Kiran Kamuju (1):
      msvcr100: Add _UnrealizedChore::_CheckTaskCollection stub.

Zebediah Figura (15):
      ddraw: Factor out a ddraw_texture_rename_to() helper from ddraw_surface1_Flip().
      wined3d: Pass parent ops to wined3d_texture_set_sub_resource_parent().
      wined3d: Pass parent ops to wined3d_resource_set_parent().
      ddraw: Move sub-resource surface creation to ddraw_texture_init().
      ddraw: Make ddraw_surface_init() static.
      include: Use hexadecimal constants for XAudio flags.
      include: Add D3D10CalcSubresource().
      d3d10core/tests: Add a broken() case for WARP in test_occlusion_query().
      d3d11/tests: Add a broken() case for WARP in test_occlusion_query().
      ddraw/tests: Add some tests for creating surfaces with user memory.
      wined3d: Pass parent ops to wined3d_rendertarget_view_set_parent().
      ddraw: Reimplement SetSurfaceDesc() by recreating the wined3d texture(s).
      ddraw/tests: Make test_texture_wrong_caps() a bit clearer.
      include: Include corecrt.h in vadefs.h.
      winedevice: Use the ntoskrnl channel.

Zhiyi Zhang (1):
      dwrite: Use cache when font transform matrix contains only translation offsets.

Ziqing Hui (5):
      mf/tests: Test time length returned by ProcessOutput.
      winegstreamer: Add format field to wmv wg_format.
      winegstreamer: Ignore framerate of media type for WMV decoder DMO.
      winegstreamer: Create wg_transform for WMV decoder.
      winegstreamer: Implement ProcessInput and ProcessOutput for WMV decoder DMO.
